[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSingleHelper.TryParse

Try to convert a string to a single-sized floating point value.

## Declaration

Source position: syshelph.inc line 237

`public class function TSingleHelper.TryParse(`
`const AString: string;`
`out AValue: Single`
`):Boolean; overload; class function TSingleHelper.TryParse(`
`const AString: string;`
`out AValue: Single;`
`const AFormatSettings: TFormatSettings`
`):Boolean; overload;`

## Description

TryParse attempts to convert the string AString to a single-sized floating point value and reports True if the conversion was successful. In that case the parsed value is returned in AValue.

If the conversion failed, False is returned.

## See also

TSingleHelper.Parse |  | Convert a string to a floating point value
TSingleHelper.ToString |  | Convert a single-sized floating point value to a string